package com.pcloud.book.group.vo;

import com.fasterxml.jackson.annotation.JsonInclude;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @author lily
 * @date 2019/4/25 17:59
 */
@ApiModel
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ClassifyAndUserCountVO implements Serializable {

    @ApiModelProperty("社群码标识")
    private  Long bookGroupId;

    @ApiModelProperty("分类数量")
    private Integer classifyCount;

    @ApiModelProperty("用户数")
    private Integer userCount;

    public Long getBookGroupId() {
        return bookGroupId;
    }

    public void setBookGroupId(Long bookGroupId) {
        this.bookGroupId = bookGroupId;
    }

    public Integer getClassifyCount() {
        return classifyCount;
    }

    public void setClassifyCount(Integer classifyCount) {
        this.classifyCount = classifyCount;
    }

    public Integer getUserCount() {
        return userCount;
    }

    public void setUserCount(Integer userCount) {
        this.userCount = userCount;
    }

    @Override
    public String toString() {
        return "ClassifyAndUserCountVO{" +
                "bookGroupId=" + bookGroupId +
                ", classifyCount=" + classifyCount +
                ", userCount=" + userCount +
                '}';
    }
}
